## wakeupcall 1.4

=== Makefile ===
#
# Wakeupcall
# Copyright (c) 2010 Sebastian GLahn
#
# This is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

##########################################################################

BINFILE=bin/wakeupcall

CHANGELOG=CHANGES
CHANGELOG_TMP=.CHANGES.tmp
CHANGELOG_EDT=.CHANGES.edit
CHANGELOG_BKP=.CHANGES.backup
EMAIL ?= $$USER@`hostname -f`

DESTDIR ?= /
PREFIX ?= /usr

# default editor of user has not set "EDITOR" env variable
EDITOR ?= nano

##########################################################################

all: help

help:
	@echo 'make test            run wakeupcall in local directory'
	@echo 'make mtest           run wakeupcall (for maemo scratchbox)'
	@echo 'make dist            create source tarball in "dist/"'
	@echo 'make install         install wakeupcall into "$(PREFIX)"'
	@echo 'make uninstall       uninstall wakeupcall from "$(PREFIX)"'
	@echo 'make clean           remove generated+temp+*.py{c,o} files'
	@echo 'make distclean       do a "make clean" + remove "dist/"'
	@echo ''
	@echo '(1) Please set environment variable "EMAIL" to your e-mail address'

##########################################################################

test:
	@# set xterm title to know what this window does ;)
	@echo -ne '\033]0;wakeupcall console (make test)\007'
	$(BINFILE) --verbose

mtest:
	@# in maemo scratchbox, we need this for osso/hildon
	run-standalone.sh python2.5 $(BINFILE) --maemo --verbose

deb:
	debuild

dist: distclean
	python setup.py sdist

install:
	python setup.py install --root=$(DESTDIR) --prefix=$(PREFIX)

uninstall:
	@echo "##########################################################################"
	@echo "#  MAKE UNINSTALL STILL NOT READY FOR PRIME TIME, WILL DO MY BEST TO     #"
	@echo "#  REMOVE FILES INSTALLED BY WEBKITPROC. WATCH INSTALL PROCESS AND REMOVE#"
	@echo "#  THE REST OF THE PACKAGES MANUALLY TO COMPLETELY REMOVE WEBKITPROC.    #"
	@echo "##########################################################################"
	rm -rf $(PREFIX)/share/wakeupcall $(PREFIX)/share/applications/wakeupcall.desktop $(PREFIX)/bin/wakeupcall $(PREFIX)/lib/python?.?/site-packages/wakeupcall/ $(PREFIX)/share/locale/wakeupcall.*

##########################################################################

##########################################################################

clean:
	python setup.py clean
	rm -f src/wakeupcall/*.pyc
	rm -rf build

debclean:
	fakeroot debian/rules clean

distclean: clean
	rm -rf dist
 
##########################################################################

.PHONY: all test dist install clean distclean help

##########################################################################

## wakeupcall 1.0

=== debian/changelog ===
wakeupcall (1.0) unstable; urgency=low

  * Initial release

 -- Sebastian Glahn <hi@sgla.hn>  Thu, 29 Jan 2015 20:00:00 +0100

=== debian/control ===
Source: wakeupcall
Maintainer: Sebastian Glahn
Section: user/multimedia
Priority: optional
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5.0.37.2), python-dev, maemo-optify

Package: wakeupcall
Architecture: all
Depends: python (>= 2.5), python-hildon (>= 0.9.0-1maemo12), python-dbus, python-osso, python-simplejson, python-gst0.10, maemo-optify 
Description: Themeable nightstand and alarm clock.
XB-Maemo-Display-Name: Wakeupcall
XB-Maemo-Upgrade-Description: Frst release
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Wakeupcall
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsT
 AAALEwEAmpwYAAAAB3RJTUUH3wEaFgYIbVJqZwAAA6pJREFUaN7VmU1IVUEU
 x3/3+Z1mZaQR5EdQRLUK2hRqBRVhEUVt2lQEbYoIidBVFLWIwEVSm4Ig2kRE
 QQQmRIFBQbUJLCmyT1DS/MjMz/emxTvCZbo+78y97z49cLmXmbkz58w5/3PO
 nHFqQGFJDlAEPAFGCY9ygRy/PBQGEGBKiGECTiK0FOgGqoEaIC7zp1y/MeDa
 +UAT8BuYL28bWgO0A4eAW9JWC0zOJMCmAAKMAm/kuxnYCqy10GABMATEpO04
 cA0o9aHZ7A8Bdj8h71Zgm3x3AisM5sj2MMFSef/0839PQLttdjEPUGX4f48w
 71iuHwvCfBVwIuAGDARgPrAACTJPMWYh5WVKABWCFruBC1EI4AD9Hm07Dea4
 6AH6MfFKaRdAAYMeu/7eYI6J2YABPx4kCyicyyBuAB6FuCF6IEwrfQIqp9kp
 rwz2tqU5Gz2OvJX2dIAqkb4loP5q/e45ykD1e8xhykvMFsB3p9m9PvmOz5CZ
 5gMLM4mBDYb2qOYaiBPAdxfj43NNgAHRUiPwEjiYJo2E6oW8Tk+XgKvAH619
 n8fYYnGjKt1eqApUr+Y9Og3nUKAS2hwVUXmho8DiEGzRyRQGJkNY+LlHFjoc
 FQbeakB0gIeGO18t/+ySDVkH/ALaDAVxWgwx0wUcAda7KhLHgOuWAOwDSuT7
 K1BuEVWV6XNOAFQJqskCeHpKUgCq1YIPBcpKAAWq3geDiyIQIG2B7ADwAjg8
 g/9uAEaA7cA3G0+mLILieeCspMkngXqt/x6wRw4yCeC+lAzd4MwBVkmAmwf0
 So3IFMTZjw2Z7xLm3SB+B9zQoqxy+elSl7+eAvqEZKy54oXi0l9tEUuMNbAD
 aNHcqJMiz2kD6kjWPwFOaam0AzwFnkURB8qFeZNIWqyNvSPm5SbbqraxAH6Y
 HiFZcY6LmW10mQhi8zk+jpcZOxPvB04DD4ArHv27gQVaPmNrQsYYqAC++NBM
 YQpvUqqZ0KR4oEg0MObR1u7RNjwDJvK0AldkAtz0aNtsoMpaYIs2dgCwvWgx
 NiGvwZWSiPmhQpI3m26KSyCbNSBORUUkbyPdGzE+lwRYLSbnFmAQ6MikAI7B
 Yh810MdIXuZZpQSmAnjdPp6Zxq1Od35dpgW1LBFARaGBV/x/o2hSNi8A9mpR
 Nw94HVVdaMh1/LOhIZK3+irEykSkIM4GVmpVjSLLFCI0AQoMx9a5onkecDkE
 B+IbP58laE3RD2C5wWJlmv07kkYHuW/+B6+3zaAkox05AAAAAElFTkSuQmCC

## wakeupcall 1.1

=== debian/changelog ===
wakeupcall (1.1) unstable; urgency=low

  * Dependency fixes

 -- Sebastian Glahn <hi@sgla.hn>  Thu, 02 Feb 2015 20:00:00 +0100

## wakeupcall 1.2

=== debian/changelog ===
wakeupcall (1.2) unstable; urgency=low

  * 60 minute alarm timeout added

 -- Sebastian Glahn <hi@sgla.hn>  Thu, 01 Mar 2015 20:00:00 +0100

## wakeupcall 1.3

=== debian/changelog ===
wakeupcall (1.3) stable; urgency=low

  * Volume control for alarm sound added
  * Offline backup alarm added in case internet connection is not available
  * Screen turns on if alarm is triggered and screen was off

 -- Sebastian Glahn <hi@sgla.hn>  Thu, 22 Mar 2015 20:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: wakeupcall
 Architecture: all
-Depends: python (>= 2.5), python-hildon (>= 0.9.0-1maemo12), python-dbus, python-osso, python-simplejson, python-gst0.10, maemo-optify 
+Depends: python (>= 2.5), python-hildon (>= 0.9.0-1maemo12), python-dbus, python-osso, python-simplejson, python-gst0.10 
 Description: Themeable nightstand and alarm clock.
 XB-Maemo-Display-Name: Wakeupcall
 XB-Maemo-Upgrade-Description: Frst release

## wakeupcall 1.4

=== debian/changelog ===
wakeupcall (1.4) stable; urgency=low

  * Alarm indicator added
  * Redesigned the alarm screen

 -- Sebastian Glahn <hi@sgla.hn>  Thu, 22 Mar 2015 20:00:00 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DOCS		= README

PYTHON		= /usr/bin/python2.5
SETUP		= TARGET=maemo ${PYTHON} setup.py

DEBPACKAGE	= wakeupcall
DESTDIR		= debian/${DEBPACKAGE}
PREFIX		= usr

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	${SETUP} build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	${SETUP} clean --all
	rm -rf build dist
	dh_clean
	PYTHON=$(PYTHON) make clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	${SETUP} install --no-compile --root='$(DESTDIR)' --prefix='$(PREFIX)'

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs $(DOCS)
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep

.PHONY: build clean binary-indep binary-arch binary install configure

## wakeupcall 1.5

=== debian/changelog ===
wakeupcall (1.5) stable; urgency=low

  * Bug fix

 -- Sebastian Glahn <hi@sgla.hn>  Thu, 2 Apr 2015 20:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Depends: python (>= 2.5), python-hildon (>= 0.9.0-1maemo12), python-dbus, python-osso, python-simplejson, python-gst0.10 
 Description: Themeable nightstand and alarm clock.
 XB-Maemo-Display-Name: Wakeupcall
-XB-Maemo-Upgrade-Description: Frst release
+XB-Maemo-Upgrade-Description: Updates!
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Wakeupcall
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsT
